---
layout: docs
page_title: billing monthly-active-users - Command
description: >-
  The "billing monthly-active-users" command retrieves the number of monthly active users during a specified time period to help you predict user-based pricing.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# billing monthly-active-users

Command: `boundary billing monthly-active-users`

The `billing monthly-active-users` command retrieves the number of monthly active Boundary users in your organization during a specific time to help predict billing information.

## Example

The following command retrieves the number of monthly active users between September 2023 and February 2024:

```shell-session
$ boundary billing monthly-active-users /
     -start-time="2023-09" /
     -end-time="2024-02"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary billing monthly-active-users [options] [args]
```

</CodeBlockConfig>

### Command options

- `end-time=<string>` -  The end date for which you want to view monthly active users in YYYY-MM format.
If you do not include an end time, the command retrieves active users from the start time through the current month.

   The end time is exclusive, so the command returns monthly active users up to, but not including, the month you enter.
   If the end time is **2024-07**, for example, the results include all active users from June (2024-06), but they would not include any users from July (2024-07).
- `start-time=<string>` -  The start date for which you want to view monthly active users in YYYY-MM format.

   The start time is inclusive, so any active users from the month you enter are included in the results.
   If the start time is **2024-06**, for example, the command returns all users from June (2024-06) through the specified end time.

@include 'cmd-option-note.mdx'